'short test
const ROOT_DIR = Choice(UCase$(Mm.Info(Path)) = "NONE", "./", Mm.Info(Path))
play modfile ROOT_DIR + "music/02-bgm1.mod", 44100
print time$
do
   r=fix(rnd*25)+1
   print r;
   pause 500
   play_sfx(r)
loop
END
sub play_sfx(sfx)
    'if not g_sound_on or sfx$ = "" then exit sub
    select case sfx
        case 1
            play effect ROOT_DIR + "sfx/boss_hit.wav"
        case 2
            play effect ROOT_DIR + "sfx/boss_kill.wav"
        case 3
            play effect ROOT_DIR + "sfx/boss_shield.wav"
        case 4
            play effect ROOT_DIR + "sfx/block_hit.wav"
        case 5
            play effect ROOT_DIR + "sfx/block_open.wav"
        case 6
            play effect ROOT_DIR + "sfx/shot_boomerang.wav"
        case 7
            play effect ROOT_DIR + "sfx/chrystal.wav"
        case 8
            play effect ROOT_DIR + "sfx/enemy_kill.wav"
        case 9
            play effect ROOT_DIR + "sfx/shot_fire_arrow.wav"
        case 10
            play effect ROOT_DIR + "sfx/shot_flame.wav"
        case 11
            play effect ROOT_DIR + "sfx/freeze_tick.wav"
        case 12
            play effect ROOT_DIR + "sfx/helmet.wav"
        case 13
            play effect ROOT_DIR + "sfx/kill_all_enemies.wav"
        case 14
            play effect ROOT_DIR + "sfx/new_life.wav"
        case 15
            play effect ROOT_DIR + "sfx/player_death.wav"
        case 16
            play effect ROOT_DIR + "sfx/points.wav"
        case 17
            play effect ROOT_DIR + "sfx/power_up_ending.wav"
        case 18
            play effect ROOT_DIR + "sfx/power_up_hit.wav"
        case 19
            play effect ROOT_DIR + "sfx/red_death.wav"
        case 20
            play effect ROOT_DIR + "sfx/shield.wav"
        case 21
            play effect ROOT_DIR + "sfx/shot.wav"
        case 22
            play effect ROOT_DIR + "sfx/split.wav"
        case 23
            play effect ROOT_DIR + "sfx/skeleton_restored.wav"
        case 24
            play effect ROOT_DIR + "sfx/shot_sword.wav"
        case 25
            play effect ROOT_DIR + "sfx/terrain.wav"
    end select
end sub
